#See https://aka.ms/containerfastmode to understand how Visual Studio uses this Dockerfile to build your images for faster debugging.

#Depending on the operating system of the host machines(s) that will build or run the containers, the image specified in the FROM statement may need to be changed.
#For more information, please see https://aka.ms/containercompat

FROM mcr.microsoft.com/dotnet/runtime:5.0 AS base
WORKDIR /app

FROM mcr.microsoft.com/dotnet/sdk:5.0 AS build
WORKDIR /src
COPY ["DMLBackgrdJobTSQ.App/DMLBackgrdJobTSQ.App.csproj", "DMLBackgrdJobTSQ.App/"]
RUN dotnet restore "DMLBackgrdJobTSQ.App/DMLBackgrdJobTSQ.App.csproj"
COPY . .
WORKDIR "/src/DMLBackgrdJobTSQ.App"
RUN dotnet build "DMLBackgrdJobTSQ.App.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "DMLBackgrdJobTSQ.App.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "DMLBackgrdJobTSQ.App.dll"]